Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

# Class SelectDiffAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.SelectDiffAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

public class SelectDiffAction extends org.eclipse.jface.action.Action
Action that manages the selection of a difference. The change flag determines which type of difference should be selected.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`SelectDiffAction(org.eclipse.compare.INavigatable navigatable, int changeFlag)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activateActionHandler()`
Activates the action handler for the respective action.
`void`
`dispose()`
`protected org.eclipse.ui.handlers.IHandlerService`
`getHandlerService()`
`protected void`
`initToolTipAndImage()`
`void`
`run()`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SelectDiffAction

public SelectDiffAction(org.eclipse.compare.INavigatable navigatable, int changeFlag)

## Method Details

### initToolTipAndImage

protected void initToolTipAndImage()

### activateActionHandler

protected void activateActionHandler()
Activates the action handler for the respective action.

### getHandlerService

protected org.eclipse.ui.handlers.IHandlerService getHandlerService()

### run

public void run()

Specified by:
  `run` in interface `org.eclipse.jface.action.IAction`
Overrides:
  `run` in class `org.eclipse.jface.action.Action`
See Also:
  - `Action.run()`

### dispose

public void dispose()